Bug 612007 - [TAHI][MIPv6][MN]The source address of an echo reply packet is still an address before movement
[TAHI][MIPv6][MN]The source address of an echo reply packet is still an addre...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mipv6-daemon (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Thomas Graf
qe-baseos-daemons
:
Depends On:
Blocks: 572236
  Show dependency treegraph
 
Reported: 2010-07-06 22:28 EDT by xhu
Modified: 2014-06-18 04:30 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause What actions or circumstances cause this bug to present. Consequence What happens when the bug presents. Fix What was done to fix the bug. Result What now happens when the actions or circumstances above occur. Note: this is not the same as the bug doesn’t present anymore.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 10:19:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tcpdump file (10.83 KB, application/octet-stream)
2010-07-06 22:28 EDT, xhu
no flags Details
configure file of mipv6-daemon on MN NUT (1005 bytes, application/octet-stream)
2010-07-06 22:34 EDT, xhu
no flags Details

  None (edit)
Description xhu 2010-07-06 22:28:33 EDT
Created attachment 429947 [details]
tcpdump file

Description of problem:
The source address of an echo reply packet is still an address(3ffe:501:ffff:102:223:aeff:fe8f:3c23) before movement when MN(NUT#) moves from LinkX to LinkY. 
Note: 
NUT is short for Node Under Test.
LinkX 	global 	3ffe:501:ffff:102::/64 	foreign link
LinkY 	global 	3ffe:501:ffff:103::/64 	foreign link

Version-Release number of selected component (if applicable):
mipv6-daemon-0.4-3.el6.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
The source address of an echo reply packet(No 42 Packet and the fourth echo reply in the tcpdump file) is still an address((3ffe:501:ffff:102:223:aeff:fe8f:3c23)) before movement when MN(NUT#) moves from LinkX to LinkY. 
The test details can be seen as follows:
1 The test topology and procedure can be seen in http://focus.bne.redhat.com/~xhu/MIPv6/ct-mipv6-mn-rhel6-auto/mipv6-mn/MN-0-0-0-3-001.html
2 The test result can be seen http://focus.bne.redhat.com/~xhu/MIPv6/ct-mipv6-mn-rhel6-auto/mipv6-mn/189.html
3 The tcpdumpfile can be seen in "189_html_Link0.pcap" attachment

Expected results:
The source address of an echo reply packet is an address(3ffe:501:ffff:103:223:aeff:fe8f:3c23) after movement when MN(NUT#) moves from LinkX to LinkY. 

Additional info:
Comment 2 xhu 2010-07-06 22:34:14 EDT
Created attachment 429948 [details]
configure file of mipv6-daemon on MN NUT
Comment 3 RHEL Product and Program Management 2010-07-15 10:18:44 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 5 Thomas Graf 2011-02-03 10:03:00 EST
mipv6-daemon-2.0.2.20110203bgit-1.el6 should fix this issue.
Comment 10 Florian Nadge 2011-03-02 12:37:50 EST
Please be so kind and add a few key words to the technical note of this
bugzilla entry using the following structure:

Cause:

Consequence:

Fix:

Result:


For details, see:
https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks
Comment 11 Florian Nadge 2011-03-02 12:37:50 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
    What actions or circumstances cause this bug to present.
Consequence
    What happens when the bug presents.
Fix
    What was done to fix the bug.
Result
    What now happens when the actions or circumstances above occur.

    Note: this is not the same as the bug doesn’t present anymore.
Comment 12 errata-xmlrpc 2011-05-19 10:19:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0741.html

Note You need to log in before you can comment on or make changes to this bug.